//
//  AccountsViewController.h
//  MediServe
//
//  Created by Christopher Galindo on 4/7/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Patient.h"

@class AccountsViewController;

@protocol AccountsViewControllerDelegate <NSObject>

- (void)AccountsViewControllerDelegate:(AccountsViewController *)controller selection:(NSString *)accountsSelection;

@end

@interface AccountsViewController : UITableViewController

@property (nonatomic, weak) id<AccountsViewControllerDelegate> delegate;
@property (strong, nonatomic) NSArray *accountsList;

@end
