//
//  AddProblemDetailViewController.m
//  MediServe
//
//  Created by Christopher Galindo on 3/11/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "AddProblemDetailViewController.h"

@implementation AddProblemDetailViewController

@synthesize detailProblems = _detailProblems;
@synthesize selectedRow = _selectedRow;

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    
    if ([self.selectedRow isEqualToString:@"Body Function Structure"])
        self.detailProblems = [NSArray arrayWithObjects:@"Balance", @"Coordination - Fine Motor", @"Coordination - Gross Motor", @"Edema", @"Range of Motion", @"Sensation", @"Skin", @"Strength", @"Tone", @"Vision", nil];
    else if([self.selectedRow isEqualToString:@"Cognition"])
        self.detailProblems = [NSArray arrayWithObjects:@"Attention", @"Executive Functions", @"Memory", @"Organization",@"Orientation", @"Problem Solving", @"Social Interaction", nil];
    else if([self.selectedRow isEqualToString:@"Communication"])
        self.detailProblems = [NSArray arrayWithObjects:@"Apraxia", @"Comprehension", @"Dysarthia", @"Expression", nil];
    else if([self.selectedRow isEqualToString:@"Medical"])
        self.detailProblems = [NSArray arrayWithObjects:@"Bladder Management", @"Cardiopulmonary", @"Cardiovascular", @"Nutrition Management", @"Respiratory", nil];
    else if([self.selectedRow isEqualToString:@"Mobility"])
        self.detailProblems = [NSArray arrayWithObjects:@"Stairs", @"Transfer - Bed/Chair/WheelChair", @"Transfer - Toilet", @"Transfer - Tub/Shower", @"Walk - Locomotion", @"Wheelchair - locomotion", nil];
    else if([self.selectedRow isEqualToString:@"Nutrition/Swallowing"])
        self.detailProblems = [NSArray arrayWithObjects:@"Swallowing", nil];
    else if([self.selectedRow isEqualToString:@"Pain"])
        self.detailProblems = [NSArray arrayWithObjects:@"Pain Management", nil];
    else if([self.selectedRow isEqualToString:@"Safety"])
        self.detailProblems = [NSArray arrayWithObjects:@"Fall Risk", nil];
    else if([self.selectedRow isEqualToString:@"Self Care/Activities of Daily Living"])
        self.detailProblems = [NSArray arrayWithObjects:@"Bathing", @"Dressing, Lower Body", @"Dressing, Upper Body", @"Eating", @"Grooming", nil];
    else if([self.selectedRow isEqualToString:@"Sphincter Control"])
        self.detailProblems = [NSArray arrayWithObjects:@"Bladder Management", @"Bowel Management", nil];
    
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
	return YES;
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    return [self.detailProblems count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"addProblemDetailCell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    
    // Configure the cell...
    cell.textLabel.text = [self.detailProblems objectAtIndex:indexPath.row];
    
    return cell;
}

/*
 // Override to support conditional editing of the table view.
 - (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
 {
 // Return NO if you do not want the specified item to be editable.
 return YES;
 }
 */

/*
 // Override to support editing the table view.
 - (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
 {
 if (editingStyle == UITableViewCellEditingStyleDelete) {
 // Delete the row from the data source
 [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:UITableViewRowAnimationFade];
 }   
 else if (editingStyle == UITableViewCellEditingStyleInsert) {
 // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
 }   
 }
 */

/*
 // Override to support rearranging the table view.
 - (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
 {
 }
 */

/*
 // Override to support conditional rearranging of the table view.
 - (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
 {
 // Return NO if you do not want the item to be re-orderable.
 return YES;
 }
 */

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Navigation logic may go here. Create and push another view controller.
    /*
     <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
     [self.navigationController pushViewController:detailViewController animated:YES];
     */
}

@end
