//
//  AdmittedDateViewController.h
//  MediServe
//
//  Created by Christopher Galindo on 4/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class AdmittedDateViewController;

@protocol AdmittedDateViewControllerDelegate <NSObject>

- (void)admittedDateViewController:(AdmittedDateViewController *)controller didSelectDate:(NSString *)selectedDate andSelectedTime:(NSString *)selectedTime;
- (void)admittedDateViewControllerDidCancel:(AdmittedDateViewController *)controller;

@end

@interface AdmittedDateViewController : UIViewController

@property (nonatomic, weak) id<AdmittedDateViewControllerDelegate> delegate;
@property (strong, nonatomic) IBOutlet UIDatePicker *datePicker;

- (IBAction)doneButtonPressed:(id)sender;
- (IBAction)cancelButtonPressed:(id)sender;


@end
