//
//  AdmittedDateViewController.m
//  MediServe
//
//  Created by Christopher Galindo on 4/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "AdmittedDateViewController.h"

@implementation AdmittedDateViewController

@synthesize delegate = _delegate;
@synthesize datePicker = _datePicker;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)viewDidUnload
{
    [self setDatePicker:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	return YES;
}

- (IBAction)doneButtonPressed:(id)sender 
{
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateStyle:NSDateFormatterShortStyle];
    
    NSDateFormatter *timeFormatter = [[NSDateFormatter alloc] init];
    [timeFormatter setTimeStyle:NSDateFormatterShortStyle];
    
    [self.delegate admittedDateViewController:self didSelectDate:[dateFormatter stringFromDate:self.datePicker.date] andSelectedTime:[timeFormatter stringFromDate:self.datePicker.date]];
}

- (IBAction)cancelButtonPressed:(id)sender 
{
    [self.delegate admittedDateViewControllerDidCancel:self];
}
@end
