//
//  AssignClinicianViewController.m
//  MediServe
//
//  Created by Christopher Galindo on 4/24/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "AssignClinicianViewController.h"

@implementation AssignClinicianViewController
{
    NSMutableArray *pickerList;
    int selectedRow;
}

@synthesize picker = _picker;
@synthesize usersList = _usersList;
@synthesize currentUser = _currentUser;
@synthesize thePatient = _thePatient;
@synthesize delegate = _delegate;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    pickerList = [[NSMutableArray alloc] initWithCapacity:1];
    
    for (int index = 0; index < [self.usersList count]; index++)
    {
        [pickerList addObject:[[self.usersList objectAtIndex:index] displayName]];
    }
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	return YES;
}

#pragma mark - Picker View Data Source
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
    return 1;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
    return [self.usersList count];
}

#pragma mark - Picker View Delegates
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
    return [[self.usersList objectAtIndex:row] displayName];
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
    selectedRow = row;
}


#pragma mark - IBAction Methods
- (IBAction)doneButtonPressed
{
    NSString *selectedUserID = [[self.usersList objectAtIndex:selectedRow] userID]; 
    BOOL found = NO;
    
    for (int index = 0; index < [self.thePatient.myClinicians count]; index++)
    {
        if ([[self.thePatient.myClinicians objectAtIndex:index] isEqualToString:selectedUserID])
            found = YES;
    }
    
    if (!found)
    {
        [self.thePatient.myClinicians addObject:selectedUserID];
        [self.delegate assignClinicianViewController:self assignedClinicianToPatient:self.thePatient];
    }
}

- (IBAction)cancelButtonPressed
{
    [self.delegate assignClinicianViewControllerDidCancel:self];
}



@end
