//
//  DataManager.h
//  MediServe
//
//  Created by Christopher Galindo on 3/28/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "User.h"
#import "Patient.h"

@interface DataManager : NSObject

@property (nonatomic, strong) User *currentUser;
@property (nonatomic, strong) NSMutableArray *patientsList;
@property (nonatomic, strong) NSMutableArray *usersList;
@property (nonatomic, assign) int patientNumber;

+ (DataManager *)sharedDataManager;
- (void)replacePatient:(Patient *)thePatient;
- (void)savePatientsList;
- (void)loadPatientsList;
- (void)saveUsersList;
- (void)loadUsersList;

@end