//
//  DateOfBirthViewController.h
//  MediServe
//
//  Created by Christopher Galindo on 4/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class DateOfBirthViewController;

@protocol DateOfBirthViewControllerDelegate <NSObject>

- (void)dateOfBirthViewController:(DateOfBirthViewController *)controller didSelectDate:(NSDate *)selectedDate;

@end

@interface DateOfBirthViewController : UIViewController

@property (strong, nonatomic) IBOutlet UIDatePicker *datePicker;
@property (weak, nonatomic) id<DateOfBirthViewControllerDelegate> delegate;
@property (nonatomic, strong) NSString *test;

- (IBAction)doneButtonPressed;

@end
