//
//  DetailViewController.h
//  MediServe
//
//  Created by Christopher Galindo on 3/11/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "DetailViewControllerDelegate.h"
#import "MasterViewControllerDelegate.h"
#import "MasterViewControllerTwoDelegate.h"

@class DetailViewController;

@interface DetailViewController : UIViewController <UISplitViewControllerDelegate, MasterViewControllerDelegate, MasterViewControllerTwoDelegate>


@property (strong, nonatomic) IBOutlet UISegmentedControl *segmentedControl;
@property (strong, nonatomic) IBOutlet UIButton *addCargiverButton;
@property (strong, nonatomic) IBOutlet UIButton *addInterventionButton;
@property (strong, nonatomic) IBOutlet UIButton *addEducationButton;
@property (strong, nonatomic) IBOutlet UIButton *addProblemButton;
@property (strong, nonatomic) id detailItem;
@property (strong, nonatomic) IBOutlet UILabel *detailDescriptionLabel;
@property (strong, nonatomic) IBOutlet UILabel *patientsName;
@property (weak, nonatomic) id<DetailViewControllerDelegate> masterOneDelegate;
@property (weak, nonatomic) id<DetailViewControllerDelegate> masterTwoDelegate;
@property (strong, nonatomic) IBOutlet UILabel *mrnLabel;
@property (strong, nonatomic) IBOutlet UILabel *accountLabel;
@property (strong, nonatomic) IBOutlet UILabel *genderLabel;
@property (strong, nonatomic) IBOutlet UILabel *birthLabel;
@property (strong, nonatomic) IBOutlet UILabel *statusLabel;
@property (strong, nonatomic) IBOutlet UILabel *losLabel;
@property (strong, nonatomic) IBOutlet UILabel *rehabLabel;
@property (strong, nonatomic) IBOutlet UILabel *firstLabel;
@property (strong, nonatomic) IBOutlet UILabel *secondLabel;
@property (strong, nonatomic) NSString *patientStatus;
@property (strong, nonatomic) IBOutlet UIImageView *patientImageView;
- (IBAction)getDetailTableView:(id)sender;
- (IBAction)logOutButtonPressed;

@end
