//
//  Patient.h
//  MediServe
//
//  Created by Christopher Galindo on 3/26/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Patient : NSObject <NSCoding>

@property (nonatomic, strong) NSString *lastName;
@property (nonatomic, strong) NSString *firstName;
@property (nonatomic, strong) NSMutableArray *myClinicians;
@property (nonatomic, strong) NSString *displayName;
@property (nonatomic, strong) NSString *ssn;
@property (nonatomic, strong) NSDate *birthDate;
@property (nonatomic, strong) NSString *middleName;
@property (nonatomic, strong) NSString *mrn;
@property (nonatomic, strong) NSString *account;
@property (nonatomic, strong) NSString *gender;
@property (nonatomic, strong) NSString *suffix;
@property (nonatomic, strong) NSString *admitDate;
@property (nonatomic, strong) NSString *admitTime;
@property (nonatomic, strong) NSString *admitRoom;
@property (nonatomic, strong) NSString *admitBed;
@property (nonatomic, strong) NSString *admitUnit;
@property (nonatomic, strong) NSString *dischargeDate;
@property (nonatomic, strong) NSData *patientImageData;
@property (nonatomic, assign) BOOL isAdmitted;
@property (nonatomic, assign) BOOL isDischarged;
@property (nonatomic, assign) BOOL isActive;

@end
