//
//  User.m
//  MediServe
//
//  Created by Christopher Galindo on 3/26/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "User.h"

@implementation User

@synthesize userID = _userID;
@synthesize userPassword = _userPassword;
@synthesize lastName = _lastName;
@synthesize firstName = _firstName;
@synthesize displayName = _displayName;

- (void)encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeObject:self.userID forKey:@"UserID"];
    [aCoder encodeObject:self.userPassword forKey:@"UserPassword"];
    [aCoder encodeObject:self.lastName forKey:@"UserLastName"];
    [aCoder encodeObject:self.firstName forKey:@"UserFirstName"];
    [aCoder encodeObject:self.displayName forKey:@"UserDisplayName"];
}

- (id)initWithCoder:(NSCoder *)aDecoder
{
    if ((self =[super init]))
    {
        self.userID = [aDecoder decodeObjectForKey:@"UserID"];
        self.userPassword = [aDecoder decodeObjectForKey:@"UserPassword"];
        self.lastName = [aDecoder decodeObjectForKey:@"UserLastName"];
        self.firstName = [aDecoder decodeObjectForKey:@"UserFirstName"];
        self.displayName = [aDecoder decodeObjectForKey:@"UserDisplayName"];
    }
    return self;
}

@end
