//
//  AssignClinicianViewController.h
//  MediServe
//
//  Created by Christopher Galindo on 4/24/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "User.h"
#import "Patient.h"

@class AssignClinicianViewController;

@protocol AssignClinicianViewControllerDelegate <NSObject>

- (void)assignClinicianViewController:(AssignClinicianViewController *)controller assignedClinicianToPatient:(Patient *)assignedPatient;
- (void)assignClinicianViewControllerDidCancel:(AssignClinicianViewController *)controller;

@end

@interface AssignClinicianViewController : UIViewController <UIPickerViewDelegate, UIPickerViewDataSource>

@property (nonatomic, strong) UIPickerView *picker;
@property (nonatomic, strong) NSMutableArray *usersList;
@property (nonatomic, strong) User *currentUser;
@property (nonatomic, strong) Patient *thePatient;
@property (nonatomic, weak) id<AssignClinicianViewControllerDelegate> delegate;

- (IBAction)doneButtonPressed;
- (IBAction)cancelButtonPressed;

@end
