//
//  GenderViewController.h
//  MediServe
//
//  Created by Christopher Galindo on 4/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class GenderViewController;

@protocol GenderViewControllerDelegate <NSObject>

- (void)genderViewController:(GenderViewController *)controller didSelectGender:(NSString *)selectedGender;

@end

@interface GenderViewController : UIViewController <UIPickerViewDataSource, UIPickerViewDelegate>

@property (nonatomic, weak) id<GenderViewControllerDelegate> delegate;
@property (nonatomic, strong) UIPickerView *picker;

- (IBAction)doneButtonPressed;

@end
