//
//  MasterViewController.h
//  MediServe
//
//  Created by Christopher Galindo on 3/11/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "LoginViewController.h"
#import "AddPatientViewController.h"
#import "AccountsViewController.h"
#import "MasterViewControllerDelegate.h"
#import "DetailViewControllerDelegate.h"
#import "AdmitPatientViewController.h"

@class DetailViewController;

@interface MasterViewController : UITableViewController <LoginViewControllerDelegate, AddPatientViewControllerDelegate, AccountsViewControllerDelegate, UIPopoverControllerDelegate, DetailViewControllerDelegate, AdmitPatientViewControllerDelegate, UIAlertViewDelegate>

@property (strong, nonatomic) DetailViewController *detailViewController;
@property (strong, nonatomic) UIPopoverController *popoverViewController;
@property (strong, nonatomic) Patient *selectedPatient;
@property (weak, nonatomic) id<MasterViewControllerDelegate> delegate;
@property (strong, nonatomic) UIAlertView *alertView;
@property (strong, nonatomic) UITextField *headlineTextField;

- (void)updateTableView;
- (void)clearTableView;

-(IBAction)headlineDone;

@end
