//
//  MasterViewControllerTwo.h
//  MediServe
//
//  Created by Christopher Galindo on 3/11/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MasterViewControllerTwoDelegate.h"
#import "DetailViewControllerDelegate.h"
#import "AccountsViewController.h"
#import "AddPatientViewController.h"
#import "AdmitPatientViewController.h"
#import "AssignClinicianViewController.h"

@class DetailViewController;

@interface MasterViewControllerTwo : UITableViewController <DetailViewControllerDelegate, UIPopoverControllerDelegate, AccountsViewControllerDelegate, AddPatientViewControllerDelegate, AdmitPatientViewControllerDelegate, UIAlertViewDelegate, AssignClinicianViewControllerDelegate>

@property (strong, nonatomic) DetailViewController *detailViewController;
@property (strong, nonatomic) UIPopoverController *popoverViewController;
@property (weak, nonatomic) id<MasterViewControllerTwoDelegate> delegate;
@property (strong, nonatomic) UIAlertView *alertView;


- (void)updateTableView;
- (void)clearTableView;

@end
