//
//  SuffixViewController.h
//  MediServe
//
//  Created by Christopher Galindo on 4/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class SuffixViewController;

@protocol SuffixViewControllerDelegate <NSObject>

- (void)suffixViewController:(SuffixViewController *)controller didSelectSuffix:(NSString *)selectedSuffix;

@end

@interface SuffixViewController : UIViewController <UIPickerViewDelegate, UIPickerViewDataSource>

@property (nonatomic, strong) id<SuffixViewControllerDelegate> delegate;
@property (nonatomic, strong) UIPickerView *picker;

- (IBAction)doneButtonPressed;

@end
